Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.data.tabular
Class ModuleSchemaValidation

    java.lang.Object
      things.data.tabular.ModuleSchemaValidation

    public class ModuleSchemaValidation

extends java.lang.Object

An abstract MODULE reactor.

NOTE: This package was never completed and isn't used anywhere.

Version:
  1.0

  Version History

      EPG - Initial - 22 MAY 04

Author:
  Erich P. Gatejen

Field Summary
`java.lang.String` | `myDefaultText`
`java.lang.String` | `myErrorText`
`java.lang.String` | `myErrorTitle`
`int` | `myIncidence`
`java.lang.String` | `myMaximum`
`java.lang.String` | `myMinimum`
`java.lang.String` | `myName`
`int` | `myNeccessity`
`java.lang.String` | `myText`
`java.lang.String` | `myTitle`
`int` | `myType`
`java.lang.String` | `myValidator`
`java.lang.String` | `myValue`
`static int` | `NECCESSITY_OPTIONAL`
`static int` | `NECCESSITY_REQUIRED`
`static java.lang.String` | `NO_MAXIMUM`
`static java.lang.String` | `NO_MINIMUM`
`static java.lang.String` | `NO_SET`
`static int` | `TYPE_HELP_ONLY`
`static int` | `TYPE_LIST`
`static int` | `TYPE_NUMERIC`
`static int` | `TYPE_TEXT`

Constructor Summary
`ModuleSchemaValidation()`
`ModuleSchemaValidation(java.lang.String name, int type, java.lang.String title, java.lang.String text, java.lang.String value, java.lang.String min, java.lang.String max, int necessity, java.lang.String errorTitle, java.lang.String errorText)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_SET

    public static final java.lang.String NO_SET

### myName

    public java.lang.String myName

### myType

    public int myType

### myTitle

    public java.lang.String myTitle

### myText

    public java.lang.String myText

### myErrorTitle

    public java.lang.String myErrorTitle

### myErrorText

    public java.lang.String myErrorText

### myValue

    public java.lang.String myValue

### myNeccessity

    public int myNeccessity

### myMinimum

    public java.lang.String myMinimum

### myMaximum

    public java.lang.String myMaximum

### myIncidence

    public int myIncidence

### myValidator

    public java.lang.String myValidator

### myDefaultText

    public java.lang.String myDefaultText

### TYPE_HELP_ONLY

    public static final int TYPE_HELP_ONLY

See Also:
  Constant Field Values

### TYPE_LIST

    public static final int TYPE_LIST

See Also:
  Constant Field Values

### TYPE_TEXT

    public static final int TYPE_TEXT

See Also:
  Constant Field Values

### TYPE_NUMERIC

    public static final int TYPE_NUMERIC

See Also:
  Constant Field Values

### NECCESSITY_REQUIRED

    public static final int NECCESSITY_REQUIRED

See Also:
  Constant Field Values

### NECCESSITY_OPTIONAL

    public static final int NECCESSITY_OPTIONAL

See Also:
  Constant Field Values

### NO_MINIMUM

    public static final java.lang.String NO_MINIMUM

### NO_MAXIMUM

    public static final java.lang.String NO_MAXIMUM

Constructor Detail

### ModuleSchemaValidation

    public ModuleSchemaValidation()
                           throws java.lang.Throwable

Throws:
  `java.lang.Throwable`

### ModuleSchemaValidation

    public ModuleSchemaValidation(java.lang.String name,
                                  int type,
                                  java.lang.String title,
                                  java.lang.String text,
                                  java.lang.String value,
                                  java.lang.String min,
                                  java.lang.String max,
                                  int necessity,
                                  java.lang.String errorTitle,
                                  java.lang.String errorText)
                           throws java.lang.Throwable

Throws:
  `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.